close
subdirectory_arrow_left subdirectory_arrow_left Systèmes d'exploitation
Matériel Systèmes d'exploitation {{currentManName}}swap_horiz Appleswap_horiz Rechercher une marquekeyboard_arrow_down

Mise à jour, la course infernale... - forum Apple OS X 10.14 Mojave

Je suis resté des années sous OSX 10.7 (lion) et évidemment tous mes softs étaient compatibles. Aujourd'hui j'ai revendu mon macbook pro (2011) et je suis passé sur un mac pro 2010 qui reprend le HDD du laptop. Première mésaventure : impossible de lire des hautes résolutions comme le 4k sous Lion. Ecran noir. Galère également pour avoir de l'USB 3.0...

Du coup nécessité d'upgrader l'OS . High Sierra pour le coup.

Mais voilà : la plupart de mes softs sont incompatibles avec cet OS. Komplete 8, Reason 6, Cubase 6.5 etc.

La question que je me pose et là je m'adresse principalement à ceux qui achètent leurs softs :

1. vous tournez sur les derniers OSX ou vous restez sur des versions plus anciennes pour optimiser la compatibilité avec vos softs?
2. si vous upgradez l'OS, j'imagine que vous n'avez d'autres choix que de mettre à niveau vos softs? Certains tentent de rester sur des versions de softs plus anciennes pour voir si des bugs surviennent avant d'upgrader? Et avec quel résultat?



salut, dart.

comme tu mets les mains dans le cambouis regarde les liens ci-dessous

pour complète regarde si cela peut t'aider https://support.nati…ierra-10-13-6-de- tu passe la page au traducteur si besoin :mdr:

pour cubase https://www.hjorthjo…stall-cubase.html

si ça peut aider.
Hello dogfacedgremelin (chouette pseudo...) le traducteur ne me donne rien de très probant. Si tu as des bases d'allemand tu peux m'éclairer stp?

Ca veut dire que Komplete 8 est compatible en totalité avec High Sierra et qu'il n'y a dès lors pas besoin d'upgrader?
Un passage par le terminal arrange bien des choses: csrutil disable

Par exemple, pour le fun, après cette manip dans le terminal, je me suis amusé à installer Reason 5 dans HighSierra. Et çà marche! La cerise sur le gâteau: Je le fais rentrer en audio dans Logic Pro via Soundflower (à régler dans les préférences audio). Cela me permet de contourner Rewire qui n'autorise pas une app 32bit de fonctionner avec une 64bit. Bien sûr Reason 5 ne présente pas grand intérêt en 2019, mais il s'agissait d'une expérience. Faut pas hésiter à mettre les mains dans le cambouis.
Ce qui veut dire que si les fabricants voulaient insérer une ligne de code en plus, pas mal de softs tourneraient sous pas mal d'OS... :facepalm:
Pas vraiment, c'est plutôt Apple qui est de plus en plus restrictif au fil des nouvelles versions sur la compatibilité des softs pour une question de sécurité. C'est pour cette raison que sous l'onglet 'Sécurité et confidentialité' dans les préférences de macOs, à la rubrique 'Autoriser les applications téléchargées de', on ne trouve plus la 3ème option depuis Sierra: 'de n'importe où'.
On lance donc le terminal: sudo spctl --master-disable
et la 3ème option est à nouveau disponible.
Pour rétablir l'état initial: sudo spctl --master-enable

Dart, je pense que ces deux manips dans le Terminal devraient résoudre en grande partie ton problème. Bonne chance.
Précisions:
Quand je parle des deux manips, il s'agit de " csrutil disable " et " sudo spctl --master-disable ".
Attention, pour " csrutil disable ", la manip doit être effectuée en démarrant le mac à partir d'une clé d'install.

En clair (je suis une bille en informatique hélas) ces deux manips m’éviteront de devoir upgrader mes.softs pour les rendre compatibles high sierra? Tous ou certains seulement? Vu le prix des upgrades ça donne à réfléchir...
J'ai reconstruit mon ordinateur et installé High Sierra 10.13.6. L'installation de mon Komplete Ultimate 8 Bundle (précédemment exécuté sous El Capitan) ne fonctionne que partiellement. Dans Native Access, les instruments suivants ne peuvent pas être installés: tambours Abbey Road années 60, tambours Abbey Road années 70, tambours Abbey Road années 80, tambours Abbey Road Modern, concert de Berlin, concert à New York, maître Transient, piano droit, VC 160, VC 2A, VC76, Grand Concert Vienne, Orgues Vintage.

Ces produits ne sont-ils pas compatibles avec High Sierra ou quel est le problème?

Certains de mes produits KOMPLETE 8 (ULTIMATE) sont manquants dans Native Access.

Tous les produits KOMPLETE 8 (ULTIMATE) qui sont encore disponibles à l’achat (par exemple MASSIVE, FM8, CONTACT 5, etc.) peuvent être installés directement dans l’onglet Non installé dans Native Access .



Vous trouverez ci-dessous les installateurs manquants dans Native Access. Après avoir installé chaque produit, ouvrez simplement Native Access. Les produits sont alors activés automatiquement.
KOMPLETE 8 et KOMPLETE 8 ULTIMATE

Téléchargez ces programmes d’installation si vous utilisez KOMPLETE 8 ou KOMPLETE 8 ULTIMATE:
BERLIN CONCERT GRAND
NEW YORK CONCERT GRAND
PIANO DROIT
VIENNA CONCERT GRAND
TRANSIENT MASTER ( Mac ) / ( Windows )
PILE 3 - Image disque 1
PILE 3 - Image disque 2
BATTERY 3 Update 3.2.3 ( Mac ) / ( Windows )

Remarque sur BATTERY 3: Après avoir installé les images de disque, vous pouvez installer la mise à jour sur BATTERY 3.2.3.
COMPLET 8 ULTIME:

De plus, téléchargez ces programmes d’installation si vous utilisez KOMPLETE 8 ULTIMATE:
SOLID BUS COMP ( Mac ) / ( Windows )
SOLID DYNAMIC ( Mac ) / ( Windows )
SOLID EQ ( Mac ) / ( Windows )
TRANSIENT MASTER ( Mac ) / ( Windows )
VC 160 ( Mac ) / ( Windows )
VC 76 ( Mac ) / ( Windows )
VC 2A ( Mac ) / ( Windows )

Remarque: toutes les bibliothèques ABBEY ROAD DRUMS ont été abandonnées et remplacées par les ABBEY ROAD DRUMMERS. Les bibliothèques ABBEY ROAD DRUMMER sont construites avec les mêmes échantillons et sons, mais avec plus de fonctionnalités. Nous vous recommandons vivement d’utiliser le nouveau ABBEY ROAD DRUMMER, directement disponible dans Native Access. Si Native Access n’affiche pas les bibliothèques ABBEY ROAD DRUMMERS, veuillez contacter notre service d’aide aux commandes .

Voila la Web traduction de l'article si ça peut faire avancer le schmilblick.

pour info ton Mac pro est compatible jusqu’à dernier MacOs mojave si l'envie t'en prends

merci pour le peusdo :bravo:
Disons que perso je suis pas un grand expert des PC/mac donc même l'utilisation du terminal me rebute et souvent le discours et les astuces relatifs à des "forçages" du système pour le rendre compatible aux softs m'échappent un peu...

Je pense que je vais dans mon cas devoir passer par la cas "update" si je veux être tranquille. Je conçois qu'être curieux en informatique est un plus indéniable en homestudio mais voilà je cale.